summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--scripts/weekrun10
1 files changed, 9 insertions, 1 deletions
diff --git a/scripts/weekrun b/scripts/weekrun
index 316f3ce..31a5405 100644
--- a/scripts/weekrun
+++ b/scripts/weekrun
@@ -16,6 +16,14 @@ for i in thales-deutschland ibm-boeblingen buerocampus-wangen continental-villin
ara2influx $db --cantine $i
db=$PDFDIR/$i-$NOW.pdf
wget http://gast.aramark.de/$i/menu/pdf/woche_de.php -O $db
- git add -A $DATADIR
+
+ # commit changes
+ pushd $DATADIR
+ if ! test -e .git;then
+ echo "initializing git repo for $DATADIR"
+ git init
+ fi
+ git add -A
git commit -m "update $NOW"
+ popd
done